# 消费场所、场次信息查询
Version |  Update Time  | Status | Author |  Description
---|---|---|---|---
v2022-06-29 16:04:35|2022-06-29 16:04:35|auto|@pc|Created by smart-doc



## 消费场景/商品管理
### 记录查询
**URL:** https://smartpark.caih.com/dmapi/placeProduct/list

**Type:** GET

**Author:** ya

**Content-Type:** application/json; charset=utf-8

**Description:** 记录查询

**Body-parameters:**

Parameter | Type|Description|Required|Since
---|---|---|---|---
current|int32|页数|false|-
size|int32|条数|false|-
startTime|string|开始时间|false|-
endTime|string|结束时间|false|-
status|boolean|是否有效|false|-

**Response-fields:**

Field | Type|Description|Since
---|---|---|---
status|object|No comments found.|-
code|string|No comments found.|-
msg|string|No comments found.|-
data|object|No comments found.|-
└─id|int64|id(商品在系统内的唯一编号，需要在消费记录推送时同步推回，作为消费场所具体场次预约成功的标识)|-
└─productName|string|商品名称|-
└─productTypeId|int64|商品类别|-
└─productTypeName|string|商品类别名称|-
└─startTime|string|开始时间(yyyy-MM-dd HH:mm:ss)|-
└─endTime|string|结束时间(yyyy-MM-dd HH:mm:ss)|-
└─productPrice|number|消费单价|-
└─repetitionCycles|string|重复周期|-
└─status|boolean|是否有效|-
exception|string|No comments found.|-

**Response-example:**
```
{
	"status": {
		
	},
	"code": "78747",
	"msg": "r0zu31",
	"data": [
		{
			"id": 246,
			"productName": "振家.戴",
			"productTypeId": 128,
			"productTypeName": "振家.戴",
			"startTime": "2022-06-29",
			"endTime": "2022-06-29",
			"productPrice": 710,
			"repetitionCycles": "qrj87x",
			"status": true
		}
	],
	"exception": "w9lv02"
}
```
## 附录(对返回值的结果处理)
### 返回结果中的status状态码
* SUCCESS 成功
* ERROR 失败
### 返回结果处理
* 成功:判断status为SUCCESS,从data里面获取对应数据
* 失败:判断status为ERROR,从msg里面获取对应异常信息

